<template>
  <div class="raw-materials">
    <div class="content-main">
      <div class="top-bar">
        <el-form ref="form" v-model="searchData" :inline="true">
          <el-form-item label="材料编码">
            <el-input
              v-model="searchData.keyword"
              class="input-form"
              placeholder="请输入材料编码"
            >
              <i slot="prefix" class="el-input__icon el-icon-search" />
            </el-input>
          </el-form-item>
          <el-form-item label="材料名称">
            <el-input
              v-model="searchData.keyword"
              class="input-form"
              placeholder="请输入材料名称"
            >
              <i slot="prefix" class="el-input__icon el-icon-search" />
            </el-input>
          </el-form-item>
          <el-form-item label="状态">
            <el-select
              placeholder="请选择状态"
            />
          </el-form-item>
          <el-form-item label="来料日期">
            <el-select
              placeholder="请选择状态"
            />
          </el-form-item>
          <el-form-item>
            <el-button type="primary">查询</el-button>
            <el-button type="primary" plain>重置</el-button>
          </el-form-item>
        </el-form>
      </div>
      <div class="raw-materials-table">
        <!-- <div class="table-header">
          <div class="search-bar">
          </div>
        </div> -->
        <div class="table-box">
          <el-table
            ref="rawMaterialsTable"
            :max-height="800"
            :cell-style="{textAlign: 'center'}"
            :header-cell-style="{border:'0px',background:'#f5f7fa',color:'#606266',boxShadow: 'inset 0 1px 0 #ebeef5',textAlign: 'center'}"
            :data="rawMaterialsTable"
            style="width: 100%"
          >
            <el-table-column
              type="selection"
              max-width="55"
            />
            <el-table-column
              type="index"
              label="序号"
              max-width="200"
            />
            <el-table-column
              prop="createTime"
              label="来料日期"
              max-width="200"
            />
            <el-table-column
              prop="userName"
              label="供应商名称"
              max-width="200"
            />
            <el-table-column
              prop="inspectUserId"
              label="材料编码"
              max-width="200"
            />
            <el-table-column
              prop="inspectionStatus"
              label="材料名称"
              max-width="200"
            />
            <el-table-column
              prop="qualifiedState"
              label="规格型号"
              max-width="200"
            />
            <el-table-column
              prop="inspectStartTime"
              label="单位"
              max-width="200"
            />
            <el-table-column
              prop="inspectEndTime"
              label="数量"
              max-width="200"
            />
            <el-table-column
              prop="inspectEndTime"
              label="报检日期"
              max-width="200"
            />
            <el-table-column
              prop="inspectEndTime"
              label="检验人"
              max-width="200"
            />
            <el-table-column
              prop="inspectEndTime"
              label="检验日期"
              max-width="200"
            />
            <el-table-column
              prop="inspectEndTime"
              label="状态"
              max-width="200"
            />
          </el-table>
          <!-- 分页器 -->
          <div>
            <el-pagination
              :current-page="currentPage"
              :page-sizes="[100, 200, 300, 400]"
              :page-size="pageSize"
              layout="total, sizes, prev, pager, next, jumper"
              :total="total"
              @size-change="handleSizeChange"
              @current-change="handleCurrentChange"
            />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      searchData: '',
      rawMaterialsTable: []
    }
  }
}
</script>

<style lang="scss" scoped>
.content-main{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    min-height: calc(100vh - 88px);
    padding: 15px;
  }
  .top-bar{
    margin: -25px;
    background: #fff;
    display: flex;
    justify-content: space-between;
    padding: 5px 24px 0px 24px;
    .el-form{
        width: 100%;
        display: flex;
        >div{
            flex: 1;
        }
    }
  }
  .input-form{
    // width: 300px;
  }
  .retrieval{
  float: right;
  font-size: 14px;
  color: rgb(0, 120, 255);
  line-height: 40px;
 }
 .rightBtn {
  display: flex;
  justify-content: flex-end;
}

.getDataBtn, .createBtn {
  margin-left: 10px; /* Optional: Add some space between the buttons */
}
.raw-materials-table{
      background-color: #fff;
      flex: 1;
      max-width: 100%;
      margin-left: 0px;
      margin-right: 0px;
      margin-top: 50px;
      display: flex;
      flex-direction: column;
      .table-header{
        padding: 20px;
        display: flex;
        justify-content: space-between;
        .el-form-item{
          margin-bottom: 30px !important;
        }
      }
      .table-box{
          padding: 0px 20px;
          margin-top: 20px;
          flex: 1;
          background: #fff;
          // padding: 20px 20px 10px 20px;
          display: flex;
          flex-direction: column;
          .el-table {
            flex: 1;
            display: flex;
            flex-direction: column;
            ::v-deep .el-table__body-wrapper{
              flex: 1;
            }
          }
          >div:nth-child(2){
            display: flex;
            justify-content: end;
            margin: 10px 0;
          }
      }
    }
</style>
